<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateGlobalPreferencesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
         Schema::create('global_preferences', function(Blueprint $table)
		{
			$table->increments('id');
			$table->integer('maxweekend');
            $table->integer('maxweek');
            $table->tinyInteger('january');
            $table->tinyInteger('february');
            $table->tinyInteger('march');
            $table->tinyInteger('april');
            $table->tinyInteger('may');
            $table->tinyInteger('june');
            $table->tinyInteger('july');
            $table->tinyInteger('august');
            $table->tinyInteger('september');
            $table->tinyInteger('october');
            $table->tinyInteger('november');
            $table->tinyInteger('december');
            $table->softDeletes();
            $table->timestamps();
		});
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::drop('global_preferences');
    }
}
